Name:           perl-Class-DBI-SQLite
Version:        0.11
Release:        2%{?dist}
Summary:        Extension to Class::DBI for sqlite
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Class-DBI-SQLite/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Class-DBI-SQLite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:	perl(Class::DBI), perl(DBD::SQLite)
Requires:  perl(DBD::SQLite)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n Class-DBI-SQLite-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Artistic COPYING Changes
%{perl_vendorlib}/Class/DBI
%{_mandir}/man3/*.3*


%changelog
* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-2
- bump for fc6

* Mon Jan  9 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-1
- bump to 0.11

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.10-2
- add R: perl(DBD::SQLite)
- remove R: perl(Class::DBI)

* Thu Sep  1 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.10-1
- bump to 0.10

* Thu Sep  1 2005 Paul Howarth <paul@city-fan.org> 0.09-3
- remove redundant BR: perl
- include license text
- honor %%{?_smp_mflags}
- include BR: perl(DBD::SQLite)

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.09-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.09-1
- Initial package for Fedora Extras
